PHPExcel_CachedObjectStorage_MemorySerialized

category | PHPExcel
package | PHPExcel_CachedObjectStorage
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Initialise this new cell collection

    __construct(\PHPExcel_Worksheet $parent)

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::__construct()

### Parameters

#### $parent

`\PHPExcel_Worksheet`

The worksheet for this cell collection

## Add or Update a cell in cache identified by coordinate address

    addCacheData(string $pCoord, \PHPExcel_Cell $cell) : void

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to update

#### $cell

`\PHPExcel_Cell`

Cell to update

### Exceptions

`\PHPExcel_Exception` |

## Identify whether the caching method is currently available Some methods are dependent on the availability of certain extensions being enabled in the PHP build

    cacheMethodIsAvailable() : boolean

InheritedStatic

inherited_from | \PHPExcel_CachedObjectStorage_ICache::cacheMethodIsAvailable()

### Returns

`boolean`

## Clone the cell collection

    copyCellCollection(\PHPExcel_Worksheet $parent) : void

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_ICache::copyCellCollection()

### Parameters

#### $parent

`\PHPExcel_Worksheet`

The new worksheet

## Delete a cell in cache identified by coordinate address

    deleteCacheData(string $pCoord)

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_ICache::deleteCacheData()

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to delete

### Exceptions

`\PHPExcel_Exception` |

## Get cell at a specific coordinate

    getCacheData(string $pCoord) : \PHPExcel_Cell

### Parameters

#### $pCoord

`string`

Coordinate of the cell

### Exceptions

`\PHPExcel_Exception` |

### Returns

`\PHPExcel_Cell`Cell that was found, or null if not found

## Get a list of all cell addresses currently held in cache

    getCellList() : array

### Returns

`array`of string

## Return the cell address of the currently active cell object

    getCurrentAddress() : string

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getCurrentAddress()

### Returns

`string`

## Return the column address of the currently active cell object

    getCurrentColumn() : string

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getCurrentColumn()

### Returns

`string`

## Return the row address of the currently active cell object

    getCurrentRow() : string

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getCurrentRow()

### Returns

`string`

## Get highest worksheet column

    getHighestColumn(string $row) : string

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getHighestColumn()

### Parameters

#### $row

`string`

Return the highest column for the specified row, or the highest column of any row if no row number is passed

### Returns

`string`Highest column name

## Get highest worksheet row

    getHighestRow(string $column) : int

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getHighestRow()

### Parameters

#### $column

`string`

Return the highest row for the specified column, or the highest row of any column if no column letter is passed

### Returns

`int`Highest row number

## Get highest worksheet column and highest row that have cell records

    getHighestRowAndColumn() : array

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getHighestRowAndColumn()

### Returns

`array`Highest column name and highest row number

## Return the parent worksheet for this cell collection

    getParent() : \PHPExcel_Worksheet

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::getParent()

### Returns

`\PHPExcel_Worksheet`

## Get the list of all cell addresses currently held in cache sorted by column and row

    getSortedCellList() : void

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_ICache::getSortedCellList()

## Is a value set in the current PHPExcel_CachedObjectStorage_ICache for an indexed cell?

    isDataSet(string $pCoord) : boolean

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_ICache::isDataSet()

### Parameters

#### $pCoord

`string`

Coordinate address of the cell to check

### Returns

`boolean`

## Move a cell object from one address to another

    moveCell(string $fromAddress, string $toAddress) : boolean

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::moveCell()

### Parameters

#### $fromAddress

`string`

Current address of the cell to move

#### $toAddress

`string`

Destination address of the cell to move

### Returns

`boolean`

## Clear the cell collection and disconnect from our parent

    unsetWorksheetCells() : void

## Add or Update a cell in cache

    updateCacheData(\PHPExcel_Cell $cell) : void

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_ICache::updateCacheData()

### Parameters

#### $cell

`\PHPExcel_Cell`

Cell to update

### Exceptions

`\PHPExcel_Exception` |

## Generate a unique ID for cache referencing

    _getUniqueID() : string

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::_getUniqueID()

### Returns

`string`Unique Reference

## Store cell data in cache for the current cell object if it's "dirty", and the 'nullify' the current cell object

    _storeData() : void

### Exceptions

`\PHPExcel_Exception` |

### Properties

##

    $_cellCache : array

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::$$_cellCache

##

    $_currentCellIsDirty : boolean

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::$$_currentCellIsDirty

##

    $_currentObject : \PHPExcel_Cell

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::$$_currentObject

##

    $_currentObjectID : string

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::$$_currentObjectID

##

    $_parent : \PHPExcel_Worksheet

Inherited

inherited_from | \PHPExcel_CachedObjectStorage_CacheBase::$$_parent